utl::detail::invoke_result_< true, _Callable, _Args... > Struct Template Reference

`#include <invoke.h>`

## Public Types

using | type = meta::invoke_t< meta::quote< try_invoke >, _Callable, _Args... >

## Detailed Description

### template<typename _Callable, typename... _Args>
struct utl::detail::invoke_result_< true, _Callable, _Args... >

Definition at line 162 of file invoke.h.

## Member Typedef Documentation

## type

template<typename _Callable , typename... _Args>

using utl::detail::invoke_result_< true, _Callable, _Args... >::type = meta::invoke_t< meta::quote<try_invoke>, _Callable, _Args... >

Definition at line 165 of file invoke.h.

The documentation for this struct was generated from the following file:

- include/utl/utility/invoke.h